from model import *
from triangle import *
from setmask import *
from parameterize import *

md=model()
md=triangle(md,'../Exp/Square.exp',50000)
md=setmask(md,'all','')
md=parameterize(md,'../Par/SquareShelfConstrained.py')

#Fields and tolerances to track changes
field_names     =['Vx','Vy','Vel','Pressure',\
	'StressTensorxx','StressTensoryy','StressTensorxy']
field_tolerances=[1e-13,1e-13,1e-13,1e-13,\
	1e-13,1e-13,1e-13]
field_values=[\
	[md.results.DiagnosticSolution.Vx],\
	[md.results.DiagnosticSolution.Vy],\
	[md.results.DiagnosticSolution.Vel],\
	[md.results.DiagnosticSolution.Pressure],\
	[md.results.DiagnosticSolution.StressTensorxx],\
	[md.results.DiagnosticSolution.StressTensoryy],\
	[md.results.DiagnosticSolution.StressTensorxy],\
	]
